REM This turns the "echo" to Off so each batch file command is not
REM shown on screen.
    @ECHO OFF
REM ~~~~~~~~~
REM This is an example batch file for a 3 line multiline operation
REM --------------------------------------------------------------
REM Always make sure you're on the right drive.  This is NOT
REM overkill but rather a safety precaution.
REM --------------------------------------------------------------
    C:
REM ~~
REM Always include the "SET" statement in your batch file just in
REM case you forgot to put it in your AUTOEXEC.BAT
REM --------------------------------------------------------------
REM On multiline systems it should be inserted near the top of the
REM batch file for each BBS Node
REM If your multiline system has, for example, LINE1.BAT and LINE2.BAT,
REM and LINE3.BAT, etc. the EACH batch file should have the "SET"
REM statement at the top of the file.
REM --------------------------------------------------------------
    SET TABS_RA=C:\RA\TABS\
REM ~~~~~~~~~~~~~~~~~~~~~~~
REM Change to the directory where you have your TabsRA files
    CD \BBS\DOORS\TABS
REM ~~~~~~~~~~~~~~~~~~
REM The "TASK" environment variable that the FrontDoor mailer uses
REM to determine each Node can be used to determine the Node label
REM to advance to.
REM If your system does not use FrontDoor, then you should devise
REM some environmewnt variable to place in each nodes batch file
REM so the correct batch file label will be selected.  An example
REM would be SET LINE=1 for Line 1,  SET LINE=2 for Line 2, etc.
REM The use %LINE% in place of %TASK% below.
REM Notice also that you must use two (2) "=" signs as in "=="
REM ---------------------------------------------------------------
    IF %TASK% == 1 GOTO NODE_1
    IF %TASK% == 2 GOTO NODE_2
    IF %TASK% == 3 GOTO NODE_3
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~
REM If the Node from where the call is coming in is Node #1 then
REM TabsRA is called with the command line options as follows:
REM
REM Option 1 is the Drive\Path\DIR\ where TabsRA should look for
REM          the DORINFO1.DEF and EXITINFO.BBS files.
REM Option 2 is the Node number (1 in this case) of the multiline
REM          system.
REM Option 3 tells TabsRA that it is a multiline system
REM Option 4 tells TabsRA that it is to send messages to the Caller
REM          and SysOp after the Caller is validated.
REM ---------------------------------------------------------------
REM This is the batch file label for Line or Node #1
    :NODE_1
REM ~~~~~~~
REM Following is the entire command line to call TabsRA
REM ---------------------------------------------------------------
    TabsRA C:\BBS\LINE_1\ 1 /M /S
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM After TabsRA is finished and control is returned to the BBS,
REM it is to change back to the individual Nodes directory.
REM ---------------------------------------------------------------
    CD \BBS\LINE_1
REM ~~~~~~~~~~~~~~
REM After changing to the original directory, go to the "END" label
REM ---------------------------------------------------------------
    GOTO END
REM ~~~~~~~~

REM The command line below can also be used if you have trouble
REM with TabsRA not finding DORINFO1.DEF or EXITINFO.BBS
REM ---------------------------------------------------------------
    :NODE_2
    C:\RA\TABS\TabsRA.EXE C:\BBS\LINE_2\ 2 /M /S
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM This shows the complete path to TABSRA.EXE and the path to
REM to the BBS Node directory.
REM ---------------------------------------------------------------
CD \BBS\LINE_2
GOTO END


:NODE_3
TabsRA C:\BBS\LINE_3\ 3 /M /S
CD \BBS\LINE_3
GOTO END

:END

